Bug 98817 - CAN-2003-0440 semi has tmp file vulnerability
Summary: CAN-2003-0440 semi has tmp file vulnerability
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: semi   
(Show other bugs)
Version: 2.1
Hardware: noarch
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL: http://www.debian.org/security/2003/d...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-09 07:24 UTC by Jens Petersen
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-02 19:53:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:231 normal SHIPPED_LIVE Low: semi security update 2003-10-02 04:00:00 UTC

Description Jens Petersen 2003-07-09 07:24:26 UTC
Description of problem:
CAN-2003-0440

Quoting from DSA-339-1:

semi, a MIME library for GNU Emacs, does not take appropriate
security precautions when creating temporary files.  This bug could
potentially be exploited to overwrite arbitrary files with the
privileges of the user running Emacs and semi, potentially with
contents supplied by the attacker.

Version-Release number of selected component (if applicable):
semi-1.14.3

Comment 1 Mark J. Cox 2003-07-09 10:43:36 UTC
Affects: 7.1, 7.2, 7.3
Affects: 2.1AS 2.1AW 2.1ES 2.1WS


Comment 2 Mark J. Cox 2003-07-11 08:46:33 UTC
RHSA-2003:231 in progress

Comment 3 Mark J. Cox 2003-10-02 19:53:59 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-231.html



Note You need to log in before you can comment on or make changes to this bug.